Skip to main content
`Ctrl`+`K`

# MatSetValueLocal

Inserts or adds a single value into a matrix, using a local numbering of the nodes.

## Synopsis

    static inline PetscErrorCode MatSetValueLocal(Mat mat, PetscInt i, PetscInt j, PetscScalar va, InsertMode mode)

Not Collective

## Input Parameters

- mat - the matrix

- i - the row location of the entry

- j - the column location of the entry

- va - the value to insert

- mode - either `INSERT_VALUES` or `ADD_VALUES`

## Notes

For efficiency one should use `MatSetValuesLocal()` and set several values simultaneously.

See notes for `MatSetValuesLocal()` for additional information on when and how this function can be used.

## See Also

Matrices, `MatSetValue()`, `MatSetValuesLocal()`

## Level

intermediate

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages